clear all
close all
K_nom = 10;
T_nom = 0.0933;
P_nom = tf(K_nom,[T_nom 1 0])

K1 = 10;
T1 = 0.09;
P1 = tf(K1,[T1 1 0]);

K2 = 10.6;
T2 = 0.08;
P2 = tf(K2,[T2 1 0]);

K3 = 9.4;
T3 = 0.11;
P3 = tf(K3,[T3 1 0]);

W2_1 = (P1-P_nom)/P_nom
W2_2 = (P2-P_nom)/P_nom
W2_3 = (P3-P_nom)/P_nom

% 
W2 = 0.065*tf([0.5 1],[0.12 1]);
bodemag(W2,'g')
hold on

D = ultidyn('Delta',[1 1]);
figure(2)
bodemag(P1)
hold on
bodemag(P2)
hold on
bodemag(P3)
hold on
bodemag(P_nom*(1 + W2*D))
hold on
set(gca,'fontsize',16)
grid on
legend
